## org.gnu.pango
Class FontFace

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.pango.FontFace

public class FontFace
extends GObject

The PangoFontFace structure is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes.

Method Summary
`FontDescription` `describe()` Returns the family, style, variant, weight and stretch of a PangoFontFace.
`java.lang.String` `toString()` Gets a name representing the style of this face among the different faces in the PangoFontFamily for the face.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Gets a name representing the style of this face among the different faces in the PangoFontFamily for the face. This name is unique among all faces in the family and is suitable for displaying to users.

### describe

    public FontDescription describe()

  Returns the family, style, variant, weight and stretch of a PangoFontFace. The size field of the resulting font description will be unset.